Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class DAML_OIL

    java.lang.Object
      com.hp.hpl.jena.vocabulary.DAML_OIL

All Implemented Interfaces:
  DAMLVocabulary

    public class DAML_OIL

extends java.lang.Object
implements DAMLVocabulary

Defines a vocabulary of RDF constants used by the latest release of DAML+oil for class and property names. The contract maintained by the DAML_OIL class is that it will be periodically updated to reflect the latest release of DAML+OIL. Currently this is the March 2001 release. Older versions of the DAML+OIL vocabulary, for compatability with older ontology documents, are maintained in classes named `DAML_OIL_YYYY_MM`, for example DAML_OIL_2000_12.

Note that rudimentary support for multiple versions of DAML namespaces is included in this release, by the mechanism of providing methods with the same names as the static constants in the `DAMLVocabulary` interface. This mechanism is still under design review, and may change in future versions of Jena.

Note also that the capitalisation of the constants herein is designed to follow normal practice in the RDF community, rather than normal practice in the Java community. This is consistent with the capitalisation of constants in Jena.

Version:
  CVS info: $Id: DAML_OIL.java,v 1.13 2008/01/02 12:07:29 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static Property` | `cardinality` RDF Property for the DAML cardinality property on Restrictions
`static Property` | `cardinalityQ` RDF Property for the DAML cardinalityQ property on Restrictions
`static Resource` | `Class` RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).
`static Resource` | `collection` DAML namespace resource for daml:collection.
`static Property` | `comment` Alias for rdfs:comment in daml namespace
`static Property` | `complementOf` RDF Property for the complementOf property on class expressions
`static Resource` | `Datatype` RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).
`static Resource` | `DatatypeProperty` RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).
`static Property` | `differentIndividualFrom` RDF Property for the DAML differentIndvidualFrom property on instances
`static Property` | `disjointUnionOf` RDF Property for the DAML disjointUnionOf property on Classes
`static Property` | `disjointWith` RDF Property for the DAML disjointWith property on Classes
`static Property` | `domain` Alias for rdfs:domain in daml namespace
`static Property` | `equivalentTo` RDF Property for the equivalentTo property on DAML values
`static Property` | `first` RDF Property for the DAML first property on Lists
`static Property` | `hasClass` RDF Property for the DAML hasClass property on Restrictions
`static Property` | `hasClassQ` RDF Property for the DAML hasClassQ property on Restrictions
`static Property` | `hasValue` RDF Property for the DAML hasValue property on Restrictions
`static Property` | `imports` RDF Property for the DAML imports property on Ontologies
`static Property` | `intersectionOf` RDF Property for the intersectionOf property on class expressions
`static Property` | `inverseOf` RDF Property for the DAML inverseOf property on Properties
`static Property` | `isDefinedBy` Alias for rdfs:isDefinedBy in daml namespace
`static Property` | `item` RDF Property for the DAML item property on Lists
`static Property` | `label` Alias for rdfs:label in daml namespace
`static Resource` | `List` RDF resource for DAML List class.
`static Resource` | `Literal` Alias for rdfs:Literal in the daml namespace.
`static Property` | `maxCardinality` RDF Property for the DAML maxCardinality property on Restrictions
`static Property` | `maxCardinalityQ` RDF Property for the DAML maxCardinalityQ property on Restrictions
`static Property` | `minCardinality` RDF Property for the DAML minCardinality property on Restrictions
`static Property` | `minCardinalityQ` RDF Property for the DAML minCardinalityQ property on Restrictions
`static Resource` | `NAMESPACE_DAML` DAML namespace resource for the current release
`static Resource` | `nil` RDF resource for the nil (empty) list.
`static Resource` | `Nothing` RDF resource for the bottom type (i.e. the super-type of no types).
`static Resource` | `ObjectProperty` RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).
`static Property` | `oneOf` RDF Property for the oneOf property on DAML class expressions
`static Property` | `onProperty` RDF Property for the DAML onProperty property on Restrictions
`static Resource` | `Ontology` RDF resource for DAML Ontology class
`static Resource` | `Property` Alias for rdfs:Property in the daml namespace.
`static Property` | `range` Alias for rdfs:range in daml namespace
`static Property` | `rest` RDF Property for the DAML rest property on Lists
`static Resource` | `Restriction` RDF resource for DAML Restriction class
`static Property` | `sameClassAs` RDF Property for the DAML sameClassAs property on Classes
`static Property` | `sameIndividualAs` RDF Property for the DAML sameIndividualAs property on instances
`static Property` | `samePropertyAs` RDF Property for the DAML samePropertyAs property on Properties
`static Property` | `seeAlso` Alias for rdfs:seeAlso in daml namespace
`static Property` | `subClassOf` Alias for rdfs:subClassOf in daml namespace
`static Property` | `subPropertyOf` Alias for rdfs:subPropertyOf in daml namespace
`static Resource` | `Thing` RDF resource for the top type (i.e. the super-type of all types).
`static Property` | `toClass` RDF Property for the DAML toClass property on Restrictions
`static Resource` | `TransitiveProperty` RDF resource for DAML TransitiveProperty class
`static Property` | `type` Alias for rdf:type in daml namespace
`static Resource` | `UnambiguousProperty` RDF resource for DAML UnambiguousProperty class
`static Property` | `unionOf` RDF Property for the unionOf property on class expressions
`static Resource` | `UniqueProperty` RDF resource for DAML UniqueProperty class
`static Property` | `value` Alias for rdf:value in daml namespace
`static Property` | `versionInfo` RDF Property for the DAML versionInfo property

Fields inherited from interface com.hp.hpl.jena.vocabulary.DAMLVocabulary
`NAMESPACE_DAML_2000_12_URI, NAMESPACE_DAML_2001_03_URI`

Method Summary
`Property` | `cardinality()` Answer the RDF Property for the DAML cardinality property on Restrictions
`Property` | `cardinalityQ()` Answer the RDF Property for the DAML cardinalityQ property on Restrictions
`Resource` | `Class()` Answer the RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).
`Property` | `comment()` Answer the alias for rdfs:comment in daml namespace
`Property` | `complementOf()` Answer the RDF Property for the complementOf property on class expressions
`Resource` | `Datatype()` Answer the RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).
`Resource` | `DatatypeProperty()` Answer the RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).
`Property` | `differentIndividualFrom()` Answer the RDF Property for the DAML differentIndvidualFrom property on instances
`Property` | `disjointUnionOf()` Answer the RDF Property for the DAML disjointUnionOf property on Classes
`Property` | `disjointWith()` Answer the RDF Property for the DAML disjointWith property on Classes
`Property` | `domain()` Answer the alias for rdfs:domain in daml namespace
`Property` | `equivalentTo()` Answer the RDF Property for the equivalentTo property on DAML values
`Property` | `first()` Answer the RDF Property for the DAML first property on Lists
`static DAMLVocabulary` | `getInstance()` Answer the singleton instance of this vocabulary
`java.lang.String` | `getNamespace()` Answer the namespace URI for a the current vocabulary.
`Property` | `hasClass()` Answer the RDF Property for the DAML hasClass property on Restrictions
`Property` | `hasClassQ()` Answer the RDF Property for the DAML hasClassQ property on Restrictions
`Property` | `hasValue()` Answer the RDF Property for the DAML hasValue property on Restrictions
`Property` | `imports()` Answer the RDF Property for the DAML imports property on Ontologies
`Property` | `intersectionOf()` Answer the RDF Property for the intersectionOf property on class expressions
`Property` | `inverseOf()` Answer the RDF Property for the DAML inverseOf property on Properties
`Property` | `isDefinedBy()` Answer the alias for rdfs:isDefinedBy in daml namespace
`Property` | `item()` Answer the RDF Property for the DAML item property on Lists
`Property` | `label()` Answer the alias for rdfs:label in daml namespace
`Resource` | `List()` Answer the RDF resource for DAML List class.
`Resource` | `Literal()` Answer the Alias for rdfs:Literal in the daml namespace.
`Property` | `maxCardinality()` Answer the RDF Property for the DAML maxCardinality property on Restrictions
`Property` | `maxCardinalityQ()` Answer the RDF Property for the DAML maxCardinalityQ property on Restrictions
`Property` | `minCardinality()` Answer the RDF Property for the DAML minCardinality property on Restrictions
`Property` | `minCardinalityQ()` Answer the RDF Property for the DAML minCardinalityQ property on Restrictions
`Resource` | `NAMESPACE_DAML()` Answer the DAML namespace resource for the current release
`Resource` | `nil()` Answer the RDF resource for the nil (empty) list.
`Resource` | `Nothing()` Answer the RDF resource for the bottom type (i.e. the super-type of no types).
`Resource` | `ObjectProperty()` Answer the RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).
`Property` | `oneOf()` Answer the RDF Property for the oneOf property on DAML class expressions
`Property` | `onProperty()` Answer the RDF Property for the DAML onProperty property on Restrictions
`Resource` | `Ontology()` Answer the RDF resource for DAML Ontology class
`Resource` | `Property()` Answer the alias for rdfs:Property in the daml namespace.
`Property` | `range()` Answer the alias for rdfs:range in daml namespace
`Property` | `rest()` Answer the RDF Property for the DAML rest property on Lists
`Resource` | `Restriction()` Answer the RDF resource for DAML Restriction class
`Property` | `sameClassAs()` Answer the RDF Property for the DAML sameClassAs property on Classes
`Property` | `sameIndividualAs()` Answer the RDF Property for the DAML sameIndividualAs property on instances
`Property` | `samePropertyAs()` Answer the RDF Property for the DAML samePropertyAs property on Properties
`Property` | `seeAlso()` Answer the alias for rdfs:seeAlso in daml namespace
`Property` | `subClassOf()` Answer the alias for rdfs:subClassOf in daml namespace
`Property` | `subPropertyOf()` Answer the alias for rdfs:subPropertyOf in daml namespace
`Resource` | `Thing()` Answer the RDF resource for the top type (i.e. the super-type of all types).
`Property` | `toClass()` Answer the RDF Property for the DAML toClass property on Restrictions
`Resource` | `TransitiveProperty()` Answer the RDF resource for DAML TransitiveProperty class
`Property` | `type()` Answer the alias for rdf:type in daml namespace
`Resource` | `UnambiguousProperty()` Answer the RDF resource for DAML UnambiguousProperty class
`Property` | `unionOf()` Answer the RDF Property for the unionOf property on class expressions
`Resource` | `UniqueProperty()` Answer the RDF resource for DAML UniqueProperty class
`Property` | `value()` Answer the alias for rdf:value in daml namespace
`Property` | `versionInfo()` Answer the RDF Property for the DAML versionInfo property

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_DAML

    public static final Resource NAMESPACE_DAML

  DAML namespace resource for the current release

### collection

    public static final Resource collection

  DAML namespace resource for daml:collection. Note: strictly daml:collection is only a string, not a resource in the DAML namespace.

### List

    public static final Resource List

  RDF resource for DAML List class.

### UniqueProperty

    public static final Resource UniqueProperty

  RDF resource for DAML UniqueProperty class

### TransitiveProperty

    public static final Resource TransitiveProperty

  RDF resource for DAML TransitiveProperty class

### UnambiguousProperty

    public static final Resource UnambiguousProperty

  RDF resource for DAML UnambiguousProperty class

### Restriction

    public static final Resource Restriction

  RDF resource for DAML Restriction class

### Ontology

    public static final Resource Ontology

  RDF resource for DAML Ontology class

### nil

    public static final Resource nil

  RDF resource for the nil (empty) list.

### Thing

    public static final Resource Thing

  RDF resource for the top type (i.e. the super-type of all types).

### Nothing

    public static final Resource Nothing

  RDF resource for the bottom type (i.e. the super-type of no types).

### Literal

    public static final Resource Literal

  Alias for rdfs:Literal in the daml namespace.

### Class

    public static final Resource Class

  RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).

### Datatype

    public static final Resource Datatype

  RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).

### DatatypeProperty

    public static final Resource DatatypeProperty

  RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).

### ObjectProperty

    public static final Resource ObjectProperty

  RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).

### Property

    public static final Resource Property

  Alias for rdfs:Property in the daml namespace. From 2001/03 onwards, use of ObjectProperty or DatatypeProperty is suggested.

### versionInfo

    public static Property versionInfo

  RDF Property for the DAML versionInfo property

### imports

    public static Property imports

  RDF Property for the DAML imports property on Ontologies

### disjointWith

    public static Property disjointWith

  RDF Property for the DAML disjointWith property on Classes

### disjointUnionOf

    public static Property disjointUnionOf

  RDF Property for the DAML disjointUnionOf property on Classes

### sameClassAs

    public static Property sameClassAs

  RDF Property for the DAML sameClassAs property on Classes

### samePropertyAs

    public static Property samePropertyAs

  RDF Property for the DAML samePropertyAs property on Properties

### oneOf

    public static Property oneOf

  RDF Property for the oneOf property on DAML class expressions

### intersectionOf

    public static Property intersectionOf

  RDF Property for the intersectionOf property on class expressions

### unionOf

    public static Property unionOf

  RDF Property for the unionOf property on class expressions

### complementOf

    public static Property complementOf

  RDF Property for the complementOf property on class expressions

### equivalentTo

    public static Property equivalentTo

  RDF Property for the equivalentTo property on DAML values

### onProperty

    public static Property onProperty

  RDF Property for the DAML onProperty property on Restrictions

### toClass

    public static Property toClass

  RDF Property for the DAML toClass property on Restrictions

### hasValue

    public static Property hasValue

  RDF Property for the DAML hasValue property on Restrictions

### hasClass

    public static Property hasClass

  RDF Property for the DAML hasClass property on Restrictions

### hasClassQ

    public static Property hasClassQ

  RDF Property for the DAML hasClassQ property on Restrictions

### cardinality

    public static Property cardinality

  RDF Property for the DAML cardinality property on Restrictions

### minCardinality

    public static Property minCardinality

  RDF Property for the DAML minCardinality property on Restrictions

### maxCardinality

    public static Property maxCardinality

  RDF Property for the DAML maxCardinality property on Restrictions

### cardinalityQ

    public static Property cardinalityQ

  RDF Property for the DAML cardinalityQ property on Restrictions

### minCardinalityQ

    public static Property minCardinalityQ

  RDF Property for the DAML minCardinalityQ property on Restrictions

### maxCardinalityQ

    public static Property maxCardinalityQ

  RDF Property for the DAML maxCardinalityQ property on Restrictions

### inverseOf

    public static Property inverseOf

  RDF Property for the DAML inverseOf property on Properties

### first

    public static Property first

  RDF Property for the DAML first property on Lists

### rest

    public static Property rest

  RDF Property for the DAML rest property on Lists

### item

    public static Property item

  RDF Property for the DAML item property on Lists

### subPropertyOf

    public static Property subPropertyOf

  Alias for rdfs:subPropertyOf in daml namespace

### type

    public static Property type

  Alias for rdf:type in daml namespace

### value

    public static Property value

  Alias for rdf:value in daml namespace

### subClassOf

    public static Property subClassOf

  Alias for rdfs:subClassOf in daml namespace

### domain

    public static Property domain

  Alias for rdfs:domain in daml namespace

### range

    public static Property range

  Alias for rdfs:range in daml namespace

### label

    public static Property label

  Alias for rdfs:label in daml namespace

### comment

    public static Property comment

  Alias for rdfs:comment in daml namespace

### seeAlso

    public static Property seeAlso

  Alias for rdfs:seeAlso in daml namespace

### isDefinedBy

    public static Property isDefinedBy

  Alias for rdfs:isDefinedBy in daml namespace

### sameIndividualAs

    public static Property sameIndividualAs

  RDF Property for the DAML sameIndividualAs property on instances

### differentIndividualFrom

    public static Property differentIndividualFrom

  RDF Property for the DAML differentIndvidualFrom property on instances

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Answer the namespace URI for a the current vocabulary. Note that this value is used to construct the constants in the vocabulary, assuring that they are in the correct namespace for this release.

  Returns:
    the namespace URI as a string.

### getInstance

    public static DAMLVocabulary getInstance()

  Answer the singleton instance of this vocabulary

  Returns:
    The singleton instance

### NAMESPACE_DAML

    public Resource NAMESPACE_DAML()

  Answer the DAML namespace resource for the current release

  Specified by:
    `NAMESPACE_DAML` in interface `DAMLVocabulary`

### List

    public Resource List()

  Answer the RDF resource for DAML List class.

  Specified by:
    `List` in interface `DAMLVocabulary`

### UniqueProperty

    public Resource UniqueProperty()

  Answer the RDF resource for DAML UniqueProperty class

  Specified by:
    `UniqueProperty` in interface `DAMLVocabulary`

### TransitiveProperty

    public Resource TransitiveProperty()

  Answer the RDF resource for DAML TransitiveProperty class

  Specified by:
    `TransitiveProperty` in interface `DAMLVocabulary`

### UnambiguousProperty

    public Resource UnambiguousProperty()

  Answer the RDF resource for DAML UnambiguousProperty class

  Specified by:
    `UnambiguousProperty` in interface `DAMLVocabulary`

### Restriction

    public Resource Restriction()

  Answer the RDF resource for DAML Restriction class

  Specified by:
    `Restriction` in interface `DAMLVocabulary`

### Ontology

    public Resource Ontology()

  Answer the RDF resource for DAML Ontology class

  Specified by:
    `Ontology` in interface `DAMLVocabulary`

### nil

    public Resource nil()

  Answer the RDF resource for the nil (empty) list.

  Specified by:
    `nil` in interface `DAMLVocabulary`

### Thing

    public Resource Thing()

  Answer the RDF resource for the top type (i.e. the super-type of all types).

  Specified by:
    `Thing` in interface `DAMLVocabulary`

### Nothing

    public Resource Nothing()

  Answer the RDF resource for the bottom type (i.e. the super-type of no types).

  Specified by:
    `Nothing` in interface `DAMLVocabulary`

### Literal

    public Resource Literal()

  Answer the Alias for rdfs:Literal in the daml namespace.

  Specified by:
    `Literal` in interface `DAMLVocabulary`

### Class

    public Resource Class()

  Answer the RDF resource for DAML Class class (a DAML sub-class of rdfs:Class).

  Specified by:
    `Class` in interface `DAMLVocabulary`

### Datatype

    public Resource Datatype()

  Answer the RDF resource for DAML Datatype class (a DAML sub-class of rdfs:Class).

  Specified by:
    `Datatype` in interface `DAMLVocabulary`

### DatatypeProperty

    public Resource DatatypeProperty()

  Answer the RDF resource for DAML DatatypeProperty class (a DAML sub-class of rdf:Property).

  Specified by:
    `DatatypeProperty` in interface `DAMLVocabulary`

### ObjectProperty

    public Resource ObjectProperty()

  Answer the RDF resource for DAML ObjectProperty class (a DAML sub-class of rdf:Property).

  Specified by:
    `ObjectProperty` in interface `DAMLVocabulary`

### versionInfo

    public Property versionInfo()

  Answer the RDF Property for the DAML versionInfo property

  Specified by:
    `versionInfo` in interface `DAMLVocabulary`

### imports

    public Property imports()

  Answer the RDF Property for the DAML imports property on Ontologies

  Specified by:
    `imports` in interface `DAMLVocabulary`

### disjointWith

    public Property disjointWith()

  Answer the RDF Property for the DAML disjointWith property on Classes

  Specified by:
    `disjointWith` in interface `DAMLVocabulary`

### disjointUnionOf

    public Property disjointUnionOf()

  Answer the RDF Property for the DAML disjointUnionOf property on Classes

  Specified by:
    `disjointUnionOf` in interface `DAMLVocabulary`

### sameClassAs

    public Property sameClassAs()

  Answer the RDF Property for the DAML sameClassAs property on Classes

  Specified by:
    `sameClassAs` in interface `DAMLVocabulary`

### samePropertyAs

    public Property samePropertyAs()

  Answer the RDF Property for the DAML samePropertyAs property on Properties

  Specified by:
    `samePropertyAs` in interface `DAMLVocabulary`

### oneOf

    public Property oneOf()

  Answer the RDF Property for the oneOf property on DAML class expressions

  Specified by:
    `oneOf` in interface `DAMLVocabulary`

### intersectionOf

    public Property intersectionOf()

  Answer the RDF Property for the intersectionOf property on class expressions

  Specified by:
    `intersectionOf` in interface `DAMLVocabulary`

### unionOf

    public Property unionOf()

  Answer the RDF Property for the unionOf property on class expressions

  Specified by:
    `unionOf` in interface `DAMLVocabulary`

### complementOf

    public Property complementOf()

  Answer the RDF Property for the complementOf property on class expressions

  Specified by:
    `complementOf` in interface `DAMLVocabulary`

### equivalentTo

    public Property equivalentTo()

  Answer the RDF Property for the equivalentTo property on DAML values

  Specified by:
    `equivalentTo` in interface `DAMLVocabulary`

### onProperty

    public Property onProperty()

  Answer the RDF Property for the DAML onProperty property on Restrictions

  Specified by:
    `onProperty` in interface `DAMLVocabulary`

### toClass

    public Property toClass()

  Answer the RDF Property for the DAML toClass property on Restrictions

  Specified by:
    `toClass` in interface `DAMLVocabulary`

### hasValue

    public Property hasValue()

  Answer the RDF Property for the DAML hasValue property on Restrictions

  Specified by:
    `hasValue` in interface `DAMLVocabulary`

### hasClass

    public Property hasClass()

  Answer the RDF Property for the DAML hasClass property on Restrictions

  Specified by:
    `hasClass` in interface `DAMLVocabulary`

### hasClassQ

    public Property hasClassQ()

  Answer the RDF Property for the DAML hasClassQ property on Restrictions

  Specified by:
    `hasClassQ` in interface `DAMLVocabulary`

### cardinality

    public Property cardinality()

  Answer the RDF Property for the DAML cardinality property on Restrictions

  Specified by:
    `cardinality` in interface `DAMLVocabulary`

### minCardinality

    public Property minCardinality()

  Answer the RDF Property for the DAML minCardinality property on Restrictions

  Specified by:
    `minCardinality` in interface `DAMLVocabulary`

### maxCardinality

    public Property maxCardinality()

  Answer the RDF Property for the DAML maxCardinality property on Restrictions

  Specified by:
    `maxCardinality` in interface `DAMLVocabulary`

### cardinalityQ

    public Property cardinalityQ()

  Answer the RDF Property for the DAML cardinalityQ property on Restrictions

  Specified by:
    `cardinalityQ` in interface `DAMLVocabulary`

### minCardinalityQ

    public Property minCardinalityQ()

  Answer the RDF Property for the DAML minCardinalityQ property on Restrictions

  Specified by:
    `minCardinalityQ` in interface `DAMLVocabulary`

### maxCardinalityQ

    public Property maxCardinalityQ()

  Answer the RDF Property for the DAML maxCardinalityQ property on Restrictions

  Specified by:
    `maxCardinalityQ` in interface `DAMLVocabulary`

### inverseOf

    public Property inverseOf()

  Answer the RDF Property for the DAML inverseOf property on Properties

  Specified by:
    `inverseOf` in interface `DAMLVocabulary`

### first

    public Property first()

  Answer the RDF Property for the DAML first property on Lists

  Specified by:
    `first` in interface `DAMLVocabulary`

### rest

    public Property rest()

  Answer the RDF Property for the DAML rest property on Lists

  Specified by:
    `rest` in interface `DAMLVocabulary`

### item

    public Property item()

  Answer the RDF Property for the DAML item property on Lists

  Specified by:
    `item` in interface `DAMLVocabulary`

### subPropertyOf

    public Property subPropertyOf()

  Answer the alias for rdfs:subPropertyOf in daml namespace

  Specified by:
    `subPropertyOf` in interface `DAMLVocabulary`

### type

    public Property type()

  Answer the alias for rdf:type in daml namespace

  Specified by:
    `type` in interface `DAMLVocabulary`

### value

    public Property value()

  Answer the alias for rdf:value in daml namespace

  Specified by:
    `value` in interface `DAMLVocabulary`

### subClassOf

    public Property subClassOf()

  Answer the alias for rdfs:subClassOf in daml namespace

  Specified by:
    `subClassOf` in interface `DAMLVocabulary`

### domain

    public Property domain()

  Answer the alias for rdfs:domain in daml namespace

  Specified by:
    `domain` in interface `DAMLVocabulary`

### range

    public Property range()

  Answer the alias for rdfs:range in daml namespace

  Specified by:
    `range` in interface `DAMLVocabulary`

### label

    public Property label()

  Answer the alias for rdfs:label in daml namespace

  Specified by:
    `label` in interface `DAMLVocabulary`

### comment

    public Property comment()

  Answer the alias for rdfs:comment in daml namespace

  Specified by:
    `comment` in interface `DAMLVocabulary`

### seeAlso

    public Property seeAlso()

  Answer the alias for rdfs:seeAlso in daml namespace

  Specified by:
    `seeAlso` in interface `DAMLVocabulary`

### isDefinedBy

    public Property isDefinedBy()

  Answer the alias for rdfs:isDefinedBy in daml namespace

  Specified by:
    `isDefinedBy` in interface `DAMLVocabulary`

### sameIndividualAs

    public Property sameIndividualAs()

  Answer the RDF Property for the DAML sameIndividualAs property on instances

  Specified by:
    `sameIndividualAs` in interface `DAMLVocabulary`

### differentIndividualFrom

    public Property differentIndividualFrom()

  Answer the RDF Property for the DAML differentIndvidualFrom property on instances

  Specified by:
    `differentIndividualFrom` in interface `DAMLVocabulary`

### Property

    public Resource Property()

  Answer the alias for rdfs:Property in the daml namespace. From 2001/03 onwards, it is preferable to use either DatatypeProperty or ObjectProperty.

  Specified by:
    `Property` in interface `DAMLVocabulary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP